"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const install = require("../../utils/vue/install.js");
const subMenu = require("./src/sub-menu.js");
const menu = require("./src/menu.js");
const menuItem2 = require("./src/menu-item2.js");
const menuItemGroup2 = require("./src/menu-item-group2.js");
install.withInstall(menu.default, {
  MenuItem: menuItem2.default,
  MenuItemGroup: menuItemGroup2.default,
  SubMenu: subMenu.default
});
install.withNoopInstall(menuItem2.default);
install.withNoopInstall(menuItemGroup2.default);
install.withNoopInstall(subMenu.default);
exports.subMenuProps = subMenu.subMenuProps;
exports.menuEmits = menu.menuEmits;
exports.menuProps = menu.menuProps;
